Package org.apache.calcite.avatica

# Class Helper

java.lang.Object
org.apache.calcite.avatica.Helper

public class Helper extends Object
Utility methods, mainly concerning error-handling.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Helper`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`SQLClientInfoException`
`clientInfo()`
`SQLException`
`closed()`
`SQLException`
`createException(String message)`
`SQLException`
`createException(String message, Exception e)`
`SQLException`
`createException(String message, String sql, Exception e)`
`RuntimeException`
`todo()`
`SQLException`
`toSQLException(SQLException exception)`
`SQLException`
`unsupported()`
`RuntimeException`
`wrap(String message, Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final Helper INSTANCE

## Method Details

### todo

public RuntimeException todo()

### wrap

public RuntimeException wrap(String message, Exception e)

### createException

public SQLException createException(String message, Exception e)

### createException

public SQLException createException(String message, String sql, Exception e)

### createException

public SQLException createException(String message)

### toSQLException

public SQLException toSQLException(SQLException exception)

### closed

public SQLException closed()

### unsupported

public SQLException unsupported()

### clientInfo

public SQLClientInfoException clientInfo()